/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file Notify.h
\brief Declaration of common notify subsystem (NotifyType for now)

\author Bartosz Szatkowski <bulislaw@linux.com>
*/

#ifndef NOTIFY_H
#define NOTIFY_H

#include <QObject>
#include <QMetaClassInfo>

/*! Notify wraps NotifyType which is interpreted by GUI and may change way in
    which GUI handles given notification
    */
class Notify : QObject {
    Q_OBJECT
public:
    Notify() : QObject(0) {}
    Notify(const Notify&) : QObject(0) {}
    enum notifytype {Error, Warning, Info};
    Q_DECLARE_FLAGS(NotifyType, notifytype);
};
#endif // NOTIFY_H
