/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*!
    \file ConfigGenerator.cpp
    \brief Generating default config files, css stylesheet etc

    \author Bartosz Szatkowski <bulislaw@linux.com>
*/

#include "ConfigGenerator.h"
#include <QDebug>


bool ConfigGenerator::generateCss(QString file) {
    generateFile(":/xsl/style.css", file);
}


bool ConfigGenerator::generateDefaultConfig(QString file) {
    return generateFile(":/config/mdictionary.config", file);
}


bool ConfigGenerator::generateFile(QString source, QString file) {
    QFile _file(file);
    if(_file.exists())
        return true;
    QFile srcFile(source);
    if(srcFile.copy(file)) {
        _file.setPermissions(QFile::ReadOwner | QFile::WriteOwner |
            QFile::ReadGroup | QFile::WriteGroup | QFile::ReadOther);
        return true;
    }
    return false;
}
