/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file AboutWidget.h
    \brief Simple "about" widget - product, company, license info

    \author Bartosz Szatkowski <bulislaw@linux.com>
*/


#ifndef ABOUTWIDGET_H
#define ABOUTWIDGET_H

#include <QDialog>
#include <QWidget>
#include <QtGui>
#include <QDeclarativeView>
#include <QDesktopServices>

#include "../../include/GUIInterface.h"

class AboutWidget : public QDialog
{
    Q_OBJECT
public:
    AboutWidget(GUIInterface *parent = 0);

private slots:
    void openUrl(QString url);

private:
    QDeclarativeView *view;

    QVBoxLayout* mainLayout;
    QVBoxLayout *scrollLayout;
    QLabel* mainLabel, * licenseLabel, *imageLabel;
    QScrollArea* scroll;
    QWidget* w;


};

#endif // ABOUTWIDGET_H
