/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

/*! \file WelcomeScreenWidget.cpp
    \brief Implements widget that displays welcome screen to user

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#include "WelcomeScreenWidget.h"

WelcomeScreenWidget::WelcomeScreenWidget(QWidget *parent) :
    QScrollArea(parent)
{
    QString infoNote, licenseNote, comarchNote;
    infoNote = tr("<center><h1>Welcome in mDictionary!</h1></center>");


    mainLayout = new QVBoxLayout(this);
    setLayout(mainLayout);

    imageLabel = new QLabel(this);
    mainLabel = new QLabel(infoNote, this);

    mainLayout->addStretch(0);
    mainLayout->addWidget(imageLabel, 0, Qt::AlignCenter);
    mainLayout->addWidget(mainLabel, 0, Qt::AlignCenter);
    mainLayout->addStretch(0);

    QImage img(":/icons/logo/mdictionary.png");
    imageLabel->setPixmap(QPixmap::fromImage(img));
    imageLabel->resize(imageLabel->pixmap()->size());


    //mainLabel->setWordWrap(true);

    #ifdef Q_WS_MAEMO_5
        mainLayout->addSpacing(20);
    #endif
}
