/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*! \file WelcomeScreenWidget.h
    \brief Implements widget that displays welcome screen to user

    \author Mateusz Półrola <mateusz.polrola@comarch.pl>
*/

#ifndef WELCOMESCREENWIDGET_H
#define WELCOMESCREENWIDGET_H

#include <QWidget>
#include <QScrollArea>
#include <QtGui>

//! Displays welcome screen with logo and name of application
class WelcomeScreenWidget : public QScrollArea
{
    Q_OBJECT
public:
    explicit WelcomeScreenWidget(QWidget *parent = 0);

private:
    QVBoxLayout* mainLayout;
    QLabel* mainLabel, * licenseLabel, *imageLabel;
};

#endif // WELCOMESCREENWIDGET_H
