import Qt 4.7

Rectangle {
    id: rectangle

    property alias pathToIcon: image.source;

    signal clicked;

    Image {
        id: image
        z:1;
        anchors.centerIn: parent
        width: rectangle.width;
        height: rectangle.height;
    }


    MouseArea {
        id: mouseArea
        anchors.centerIn: parent;
        width: rectangle.width + (70*parent.height)/107;
        height: rectangle.height;
        onClicked: {
            rectangle.clicked();
        }
    }

    Image {
        id: image1
        width: (35*parent.height)/107
        height: parent.height
        anchors.left: parent.left
        anchors.leftMargin: - (35*parent.height)/107
        source: "qrc:/button/buttonLeft.png"
    }

    Image {
        id: image3
        width: parent.width
        height: parent.height
        anchors.horizontalCenter: parent.horizontalCenter
        source: "qrc:/button/buttonCenter.png"
    }


    Image {
        id: image2
        width: (35*parent.height)/107
        height: parent.height
        anchors.right: parent.right
        anchors.rightMargin:  - (35*parent.height)/107
        source: "qrc:/button/buttonR.png"
    }

    Rectangle {
        id: shade
        anchors.centerIn: parent;
        color: "black";
        radius: 20;
        opacity: 1;
        width:  rectangle.width+(70*parent.height)/107;
        height: rectangle.height;
    }

    states: [
        State {
            name: "enable";
            when: (mouseArea.pressed == false && rectangle.enabled == true);
            PropertyChanges { target: shade;
                              opacity: 0; }
        },
        State {
            name: "disable";
            when: (rectangle.enabled == false);
            PropertyChanges { target: shade;
                              color: "black";
                              opacity: .5; }
        },
        State {
            name: "clicked";
            when: (mouseArea.pressed == true && rectangle.enabled == true);
            PropertyChanges { target: shade;
                              color: "#fffead"
                              opacity: 0.5; }
        }
    ]
}
