/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/
/*!
    \file HttpDownloader.h
    \brief Downloader for xdxf dictionaries

    \author Bartosz Szatkowski <bulislaw@linux.com>
 */

#ifndef HTTPDOWNLOADER_H
#define HTTPDOWNLOADER_H

#include <QObject>
#include <QHttp>
#include <QNetworkAccessManager>
#include <QUrl>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QFile>
#include <QDebug>

class HttpDownloader : public QObject {
   Q_OBJECT
public:
    HttpDownloader(QObject *parent = 0);
    void download(const QUrl, const QString);
    void kill();

private Q_SLOTS:
    void downloadFinished(QNetworkReply *);

Q_SIGNALS:
    void finished();
    void error(QString);
    void progress(qint64,qint64);

private:
    QHttp *http;
    QNetworkAccessManager *manager;
    QString destFile;
    QNetworkReply* currentReply;


};

#endif // HTTPDOWNLOADER_H
