/*******************************************************************************

    This file is part of mDictionary.

    mDictionary is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mDictionary is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with mDictionary.  If not, see <http://www.gnu.org/licenses/>.

    Copyright 2010 Comarch S.A.

*******************************************************************************/

#ifndef TEST_H
#define TEST_H

#include <QtTest/QtTest>
#include <QList>
#include <QTime>
#include <QTimer>
#include <QtConcurrentRun>
#include <QFuture>
#include "../../src/plugins/xdxf/xdxfplugin.h"
#include <QDate>
#include <QTextStream>
#include <QString>

 class XdxfTest: public QObject
 {
     Q_OBJECT

 private slots:
     void langFrom();
     void getNew();
     void stop();
     void searchFile();
     void searchWordListFile();
     void makeCache();
     void searchCache();
     void searchWordListCache();
     void removeAccents();
     void isAvailable();
     void timeCache();
     void timeFile();
     void timeCacheNormalize();
     void timeFileNormalize();
 };

 class XdxfPluginSub : public XdxfPlugin
 {
    public:
     XdxfPluginSub(QObject *parent = 0) : XdxfPlugin(parent){}
     QString getRemoveAccents(QString s) {
         return removeAccents(s);
     }

 };


#endif // TEST_H
